package com.gh.gamecenter.qqmini

import android.app.Application
import android.content.Context
import android.content.res.Configuration
import com.gh.gamecenter.common.utils.doOnMainProcessOnly
import com.gh.gamecenter.core.iinterface.IApplication
import com.google.auto.service.AutoService

@AutoService(IApplication::class)
class HaloApp : IApplication {

    companion object {
        lateinit var INSTANCE: Application
    }

    override fun attachBaseContext(base: Context) {

    }

    override fun onCreate(application: Application) {
        INSTANCE = application
        MiniGameWebViewUtils.handleWebViewDir(application)
    }


    override fun onLowMemory() {

    }

    override fun onTerminate() {

    }

    override fun onTrimMemory(level: Int) {

    }

    override fun onConfigurationChanged(newConfig: Configuration) {

    }
}